View Issue Details

IDProjectCategoryView StatusLast Update
0002418NoesisGUIInspectorpublic2022-11-18 14:07
Reportersatorp Assigned Tosfernandez  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.1.3 
Target Version3.1.6Fixed in Version3.1.6 
Summary0002418: Add an option to limit Inspector target to local applications only
DescriptionCurrently Inspector "Connect to..." dialog will list all applications on the same network (subnet), which is useful for scenarios where remote inspection is necessary. But in a team environment where
- Several developers on the same network may use Inspector simultaneously
- Developers mostly use Inspector to debug local applications
the list will show too many similar targets, and it's unclear which application should be chosen as a target. It will be nice if there's an option to limit the list to local applications only.
TagsNo tags attached.
PlatformAny

Activities

jsantos

jsantos

2022-09-13 13:11

manager   ~0008066

Thanks for this report! Could you please attach a screenshot with what you see in the "Connect to..." dialog? Just to think possible solutions and also to improve UX.
satorp

satorp

2022-09-14 11:11

reporter   ~0008070

Here is a screenshot of the dialog depicting 3 different applications (different colors) being run on several machines. One possible solution is to add a checkbox to enable IP address filtering (only show address of local machine). It will be also helpful if we can sort the list (e.g. by clicking on the list headers).
InspectorConnectToDialog.png (101,940 bytes)   
InspectorConnectToDialog.png (101,940 bytes)   

Issue History

Date Modified Username Field Change
2022-09-13 11:42 satorp New Issue
2022-09-13 13:10 jsantos Assigned To => jsantos
2022-09-13 13:10 jsantos Status new => assigned
2022-09-13 13:11 jsantos Note Added: 0008066
2022-09-13 13:11 jsantos Status assigned => feedback
2022-09-14 11:11 satorp Note Added: 0008070
2022-09-14 11:11 satorp File Added: InspectorConnectToDialog.png
2022-09-14 11:11 satorp Status feedback => assigned
2022-09-21 13:57 jsantos Target Version => 3.1.6
2022-11-07 17:13 sfernandez Target Version 3.1.6 => 3.1.7
2022-11-07 17:15 sfernandez Target Version 3.1.7 => 3.1.6
2022-11-15 16:56 jsantos Assigned To jsantos => sfernandez
2022-11-18 14:07 sfernandez Status assigned => resolved
2022-11-18 14:07 sfernandez Resolution open => fixed
2022-11-18 14:07 sfernandez Fixed in Version => 3.1.6